Subject: Re: bug#67569: 29.1; ruby-mode syntax highlighting breaks with variable named "index" and "/" operator
From: Dmitry Gutov <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sat, 9 Dec 2023 20:00:27 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On 09/12/2023 19:47, Eli Zaretskii wrote:
>> Date: Sat, 9 Dec 2023 19:38:28 +0200
>> Cc:[email-masked],[email-masked]
>> From: Dmitry Gutov<[email-masked]>
>>
>>>> Eli, should we put this in Emacs 29.2? It's not a regression (a fairly
>>>> old problem), but the fix looks simple enough.
>>> Yes, please.
>> Very good, pushed to emacs-29.
>>
>> Here's a second patch on top which gets rid of the whitelist altogether
>> (the new heuristic seems to cover the cases better anyway), though I'm
>> on the fence whether this should go here or into master.
>>
>> It seems to work well with some testing, but it is more adventurous than
>> the previous one.
> Yes, I think we have enough adventures on emacs-29.

All right. Guess I'm closing this, then, and will push the second patch 
after the next merge into master.